<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Ip6::UdpHeaderPoD Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d7/d5f/structThread_1_1Ip6_1_1UdpHeaderPoD.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../d8/dd3/structThread_1_1Ip6_1_1UdpHeaderPoD-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Ip6::UdpHeaderPoD Struct Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../db/daa/group__core-udp.html">UDP</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Thread::Ip6::UdpHeaderPoD:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d73/structThread_1_1Ip6_1_1UdpHeaderPoD__inherit__graph.png" border="0" usemap="#Thread_1_1Ip6_1_1UdpHeaderPoD_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1Ip6_1_1UdpHeaderPoD_inherit__map" id="Thread_1_1Ip6_1_1UdpHeaderPoD_inherit__map">
<area shape="rect" id="node2" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html" title="This class implements UDP header generation and parsing. " alt="" coords="18,79,183,104"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a858159b627118418f8d911c35a643dd6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a858159b627118418f8d911c35a643dd6"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>mSource</b></td></tr>
<tr class="separator:a858159b627118418f8d911c35a643dd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62f1b3df8f21cb3e0e3a9876bcf61093"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62f1b3df8f21cb3e0e3a9876bcf61093"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>mDestination</b></td></tr>
<tr class="separator:a62f1b3df8f21cb3e0e3a9876bcf61093"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1ce55daae395f04c9a105e0c84ba73b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af1ce55daae395f04c9a105e0c84ba73b"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>mLength</b></td></tr>
<tr class="separator:af1ce55daae395f04c9a105e0c84ba73b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25893e0a54c7bd572c4073cfa647ddfd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a25893e0a54c7bd572c4073cfa647ddfd"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>mChecksum</b></td></tr>
<tr class="separator:a25893e0a54c7bd572c4073cfa647ddfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/core/net/<a class="el" href="../../d0/db7/udp6_8hpp_source.html">udp6.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d2/de1/namespaceThread_1_1Ip6.html">Ip6</a></li><li class="navelem"><a class="el" href="../../d7/d5f/structThread_1_1Ip6_1_1UdpHeaderPoD.html">UdpHeaderPoD</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
